1. Media
swonkie.dev
  • Introduction
  • Quick Start
  • Changelog
  • Social Networks
    • Facebook
    • Instagram
    • LinkedIn
    • TikTok
    • Threads
  • Profiles
    • My Profiles
      GET
    • Competitors
      GET
  • Insights
    • Getting Started
    • My Profile Insights
      GET
    • My Profile Insights Posts
      GET
    • Competitor Insights
      GET
    • Competitor Insights Posts
      GET
  • Posts
    • Getting Started
    • List Posts
      GET
    • Get a Post
      GET
    • Create a Post
      POST
    • Update a Post
      PUT
    • Validate a Post
      GET
    • Delete a Post
      DELETE
    • Change Post Stage
      PATCH
  • Labels
    • Getting Started
    • List Labels
    • Create a Label
  • Media
    • Get a Media
      GET
    • Create a Media
      POST
    • Upload File to Media
      PUT
    • Confirm Uploaded Media
      PATCH
    • Delete a Media
      DELETE
  • Examples
    • Publish
Back to Home
Back to Home
Login
  1. Media

Upload File to Media

PUT
https://{uploadUrl}
Using the uploadUrl generated from the POST /media request, perform a request with the following documented Headers and Body in order to complete the process.
Once correctly uploaded you should be able to retrieve your file using the previewUrl, also previously provided by the POST /media request.
Remember, once you finish uploading use PATCH /media/:mediaId to confirm it.

Request

Path Params

Header Params

Body Params application/octet-stream
Not configured

Responses

🟢201
text/plain
Request Request Example
Shell
JavaScript
Java
Swift
Modified at 2026-03-11 19:13:36
Previous
Create a Media
Next
Confirm Uploaded Media
Built with